Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeResourceManager Class Reference

`#include <deResource.hpp>`

Inheritance diagram for IdeResourceManager:

[legend]
List of all members.

## Public Member Functions
virtual long | GetUniqueInterfaceID ()=0
virtual deBoolean | RegisterResourceType (const char *extension, deResourceMakerCB maker)=0
virtual IdeResourceBase * | GetResource (const char *filename, IdeFileSystem *filesystem, deBoolean doLoad=(DE_TRUE))=0
virtual IdeResourceBase * | GetResourceThreaded (const char *filename, IdeFileSystem *filesystem, deBoolean doLoad=(DE_TRUE))=0
virtual IdeResourceBase * | GetResourceFromFile (IdeFile *file, const char *filename, deBoolean record=(DE_TRUE))=0
virtual IdeResourceBase * | GetResourceFromFileThreaded (IdeFile *file, const char *filename, deBoolean record=(DE_TRUE))=0
virtual deBoolean | RemoveResource (IdeResourceBase *resource)=0
virtual deBoolean | RemoveAllResources (void)=0
| Will remove all the objects from the internal database.
## Protected Member Functions
virtual | ~IdeResourceManager ()

## Detailed Description

the head honcho as far as resources are concerned. Related functions: IdeResourceManager_GetManager. Related classes: IdeResourceBase.

## Constructor & Destructor Documentation

virtual IdeResourceManager::~IdeResourceManager | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual IdeResourceBase* IdeResourceManager::GetResource | ( | const char * | filename,
|  | IdeFileSystem * | filesystem,
|  | deBoolean | doLoad = (DE_TRUE)
| ) | `[pure virtual]`

  | Retrieves a "clean" instance of the specified file Returns: Pointer to a "clean" object that has the filename specified. It may be created from a file specified, or it may retrieve a pointer to an instance already in the internal database. Parameters:
  filename | A standard filename of the format "path/file.ext"
  filesystem | Either NULL or a valid pointer to a filesystem to be searched for the filename. If NULL is used, the behavior of the maker function may be undefined
  DoLoad | If set to deFalse, the file will not be loaded if it does not already exist in memory
Implemented in deResourceManager.

virtual IdeResourceBase* IdeResourceManager::GetResourceFromFile | ( | IdeFile * | file,
|  | const char * | filename,
|  | deBoolean | record = (DE_TRUE)
| ) | `[pure virtual]`

| Implemented in deResourceManager.

virtual IdeResourceBase* IdeResourceManager::GetResourceFromFileThreaded | ( | IdeFile * | file,
|  | const char * | filename,
|  | deBoolean | record = (DE_TRUE)
| ) | `[pure virtual]`

| Implemented in deResourceManager.

virtual IdeResourceBase* IdeResourceManager::GetResourceThreaded | ( | const char * | filename,
|  | IdeFileSystem * | filesystem,
|  | deBoolean | doLoad = (DE_TRUE)
| ) | `[pure virtual]`

| Implemented in deResourceManager.

virtual long IdeResourceManager::GetUniqueInterfaceID | ( |  | ) | `[pure virtual]`

| Used by classes derived from IdeResourceBase to resolve interfaces Returns: a value that is unique relative to all other values returned by this method Implemented in deResourceManager.

virtual deBoolean IdeResourceManager::RegisterResourceType | ( | const char * | extension,
|  | deResourceMakerCB | maker
| ) | `[pure virtual]`

  | Register a file extension so that files can be created from it Returns: deFalse on failure, deTrue on success Parameters:
  extension | a file extension in the form "bmp". The extension cannot contain dots
  maker | a pointer to a function that will return an instance of the class associated with the extension
Implemented in deResourceManager.

virtual deBoolean IdeResourceManager::RemoveAllResources | ( | void |  | ) | `[pure virtual]`

| Will remove all the objects from the internal database. Implemented in deResourceManager.

virtual deBoolean IdeResourceManager::RemoveResource | ( | IdeResourceBase * | resource | ) | `[pure virtual]`

  | Removes a resource from the internal database Parameters:
  resource | a valid pointer to an object to remove
Implemented in deResourceManager.

The documentation for this class was generated from the following file:

- deResource.hpp